{ lib, pkgs, config, myconfig,  ... }:
let
  cfg = config.myServices.websites.nassime.production;
  varDir = "/var/lib/ftp/nassime";
  env = myconfig.env.websites.nassime;
in {
  options.myServices.websites.nassime.production.enable = lib.mkEnableOption "enable Nassime's website";

  config = lib.mkIf cfg.enable {
    services.webstats.sites = [ { name = "nassime.bouya.org"; } ];

    security.acme.certs."ftp".extraDomains."nassime.bouya.org" = null;

    services.websites.env.production.vhostConfs.nassime = {
      certName     = "nassime";
      certMainHost = "nassime.bouya.org";
      hosts        = ["nassime.bouya.org" ];
      root         = varDir;
      extraConfig  = [
        ''
        Use Stats nassime.bouya.org
        ServerAdmin ${env.server_admin}

        <Directory ${varDir}>
          DirectoryIndex index.php index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride None
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
